package com.ruoyi.oa.service;

import com.ruoyi.oa.domain.OaReportSchedule;
import com.ruoyi.oa.domain.vo.OaReportScheduleVo;
import com.ruoyi.oa.domain.bo.OaReportScheduleBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 项目排产Service接口
 *
 * @author ruoyi
 * @date 2025-07-15
 */
public interface IOaReportScheduleService {

    /**
     * 查询项目排产
     */
    OaReportScheduleVo queryById(Long scheduleId);

    /**
     * 查询项目排产列表
     */
    TableDataInfo<OaReportScheduleVo> queryPageList(OaReportScheduleBo bo, PageQuery pageQuery);

    /**
     * 查询项目排产列表
     */
    List<OaReportScheduleVo> queryList(OaReportScheduleBo bo);

    /**
     * 新增项目排产
     */
    Boolean insertByBo(OaReportScheduleBo bo);

    /**
     * 修改项目排产
     */
    Boolean updateByBo(OaReportScheduleBo bo);

    /**
     * 校验并批量删除项目排产信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
